Mean
Statistical Functions

## Functions

NppStatus | nppsMeanGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_32f. More...
NppStatus | nppsMeanGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_32fc. More...
NppStatus | nppsMeanGetBufferSize_32fc (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_64f. More...
NppStatus | nppsMeanGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_64fc. More...
NppStatus | nppsMeanGetBufferSize_64fc (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_16s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_16s_Sfs. More...
NppStatus | nppsMeanGetBufferSize_16s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_32s_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_32s_Sfs. More...
NppStatus | nppsMeanGetBufferSize_32s_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsMeanGetBufferSize_16sc_Sfs_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device scratch buffer size (in bytes) for nppsMean_16sc_Sfs. More...
NppStatus | nppsMeanGetBufferSize_16sc_Sfs (int nLength, int *hpBufferSize)
NppStatus | nppsMean_32f_Ctx (const Npp32f *pSrc, int nLength, Npp32f *pMean, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float vector mean method More...
NppStatus | nppsMean_32f (const Npp32f *pSrc, int nLength, Npp32f *pMean, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_32fc_Ctx (const Npp32fc *pSrc, int nLength, Npp32fc *pMean, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit float complex vector mean method More...
NppStatus | nppsMean_32fc (const Npp32fc *pSrc, int nLength, Npp32fc *pMean, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_64f_Ctx (const Npp64f *pSrc, int nLength, Npp64f *pMean, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit double vector mean method More...
NppStatus | nppsMean_64f (const Npp64f *pSrc, int nLength, Npp64f *pMean, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_64fc_Ctx (const Npp64fc *pSrc, int nLength, Npp64fc *pMean, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit double complex vector mean method More...
NppStatus | nppsMean_64fc (const Npp64fc *pSrc, int nLength, Npp64fc *pMean, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_16s_Sfs_Ctx (const Npp16s *pSrc, int nLength, Npp16s *pMean, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit short vector mean with integer scaling method More...
NppStatus | nppsMean_16s_Sfs (const Npp16s *pSrc, int nLength, Npp16s *pMean, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_32s_Sfs_Ctx (const Npp32s *pSrc, int nLength, Npp32s *pMean, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit integer vector mean with integer scaling method More...
NppStatus | nppsMean_32s_Sfs (const Npp32s *pSrc, int nLength, Npp32s *pMean, int nScaleFactor, Npp8u *pDeviceBuffer)
NppStatus | nppsMean_16sc_Sfs_Ctx (const Npp16sc *pSrc, int nLength, Npp16sc *pMean, int nScaleFactor, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit short complex vector mean with integer scaling method More...
NppStatus | nppsMean_16sc_Sfs (const Npp16sc *pSrc, int nLength, Npp16sc *pMean, int nScaleFactor, Npp8u *pDeviceBuffer)

## Detailed Description

## Function Documentation

NppStatus nppsMean_16s_Sfs | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | int | nLength,
|  | Npp16s * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit short vector mean with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_16s_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp16sc * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | int | nLength,
|  | Npp16sc * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit short complex vector mean with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_16sc_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_32f | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMean,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_32f_Ctx | ( | const Npp32f * | pSrc,
|  | int | nLength,
|  | Npp32f * | pMean,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float vector mean method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_32fc | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp32fc * | pMean,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | int | nLength,
|  | Npp32fc * | pMean,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit float complex vector mean method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_32s_Sfs | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_32s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | int | nLength,
|  | Npp32s * | pMean,
|  | int | nScaleFactor,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer vector mean with integer scaling method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_32s_Sfs to determine the minium number of bytes required.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_64f | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMean,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_64f_Ctx | ( | const Npp64f * | pSrc,
|  | int | nLength,
|  | Npp64f * | pMean,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double vector mean method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMean_64fc | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64fc * | pMean,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMean_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | int | nLength,
|  | Npp64fc * | pMean,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit double complex vector mean method

Parameters

  pSrc | Source Signal Pointer.
  nLength | Signal Length.
  pMean | Pointer to the output result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMeanGetBufferSize_64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMeanGetBufferSize_16s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_16s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_16s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_16sc_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_16sc_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_16sc_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_32s_Sfs | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_32s_Sfs_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_32s_Sfs.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMeanGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMeanGetBufferSize_64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device scratch buffer size (in bytes) for nppsMean_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer. Scratch Buffer and Host Pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2018 NVIDIA Corporation